//+++HDR+++
//======================================================================
//   This file is part of the BRAIN software framework.
//   Copyright (C) 2009 by CRS4, Pula, Italy.
//
//   For more information, visit the CRS4 Visual Computing Group
//   web pages at http://www.crs4.it/vic/
//
//   This file may be used under the terms of the GNU General Public
//   License as published by the Free Software Foundation and appearing
//   in the file LICENSE included in the packaging of this file.
//
//   CRS4 reserves all rights not expressly granted herein.
//  
//   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
//   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
//   FOR A PARTICULAR PURPOSE.
//
//======================================================================
//---HDR---//

#ifndef _BS_INSIDEIO_H_
#define _BS_INSIDEIO_H_

#include "bsSection.h"
#include "bsSectionIO.h"

class bsInsideIO : public bsSectionIO {
public: // Creation
  
  bsInsideIO();
  
  virtual ~bsInsideIO();

public: // Params

  inline void setVgap(float x) {
    m_vgap = x;
  }

  inline float getVgap() const {
    return m_vgap;
  }

public: // Load

  virtual bsSection* load(const std::string& fname); 
  
public: // Save

  virtual void save(const std::string& fname, const bsSection* s);

protected: 
  float m_vgap;
};


#endif
