#ifndef BSHQISOVIEWERWINDOW3D_H
#define BSHQISOVIEWERWINDOW3D_H

#include <qvariant.h>


#include <Qt3Support/Q3Frame>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QCheckBox>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "bsHQIsoBrainViewer.h"

QT_BEGIN_NAMESPACE

class Ui_bsHQIsoViewerWindow3D
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QGridLayout *gridLayout;
    QPushButton *m_reset_top;
    QPushButton *m_reset_bottom;
    QPushButton *m_reset_right;
    QPushButton *m_reset_rear;
    QPushButton *m_reset_button;
    QPushButton *m_reset_left;
    QPushButton *m_rebuild_button;
    QCheckBox *m_enable_subregions;
    QCheckBox *m_enable_neurons;
    QCheckBox *m_enable_cutting_planes;
    QCheckBox *m_enable_cutting_caps;
    QCheckBox *m_enable_light_two_side;
    QSpacerItem *Spacer1;
    QGridLayout *gridLayout1;
    QHBoxLayout *hboxLayout1;
    QLabel *TextLabel1_2_3_2;
    QSpinBox *m_extinction_zeta;
    QHBoxLayout *hboxLayout2;
    QLabel *TextLabel1_2_2_2;
    QSpinBox *m_extinction_zeta_threshold_end;
    QHBoxLayout *hboxLayout3;
    QLabel *TextLabel1_2_3;
    QSpinBox *m_extinction_zeta_threshold_start;
    Q3Frame *m_tool_frame;
    Q3Frame *bsViewerFrame;
    QVBoxLayout *vboxLayout1;
    bsHQIsoBrainViewer *m_viewer;

    void setupUi(QWidget *bsHQIsoViewerWindow3D)
    {
        if (bsHQIsoViewerWindow3D->objectName().isEmpty())
            bsHQIsoViewerWindow3D->setObjectName(QString::fromUtf8("bsHQIsoViewerWindow3D"));
        bsHQIsoViewerWindow3D->resize(1140, 755);
        vboxLayout = new QVBoxLayout(bsHQIsoViewerWindow3D);
#ifndef Q_OS_MAC
        vboxLayout->setSpacing(6);
#endif
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        hboxLayout = new QHBoxLayout();
#ifndef Q_OS_MAC
        hboxLayout->setSpacing(6);
#endif
#ifndef Q_OS_MAC
        hboxLayout->setMargin(0);
#endif
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        gridLayout = new QGridLayout();
        gridLayout->setSpacing(0);
#ifndef Q_OS_MAC
        gridLayout->setMargin(0);
#endif
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        m_reset_top = new QPushButton(bsHQIsoViewerWindow3D);
        m_reset_top->setObjectName(QString::fromUtf8("m_reset_top"));
        m_reset_top->setMinimumSize(QSize(50, 25));
        m_reset_top->setMaximumSize(QSize(50, 25));
        QFont font;
        font.setFamily(QString::fromUtf8("adobe-helvetica"));
        font.setPointSize(8);
        m_reset_top->setFont(font);

        gridLayout->addWidget(m_reset_top, 0, 2, 1, 1);

        m_reset_bottom = new QPushButton(bsHQIsoViewerWindow3D);
        m_reset_bottom->setObjectName(QString::fromUtf8("m_reset_bottom"));
        m_reset_bottom->setMinimumSize(QSize(50, 25));
        m_reset_bottom->setMaximumSize(QSize(50, 25));
        m_reset_bottom->setFont(font);

        gridLayout->addWidget(m_reset_bottom, 1, 2, 1, 1);

        m_reset_right = new QPushButton(bsHQIsoViewerWindow3D);
        m_reset_right->setObjectName(QString::fromUtf8("m_reset_right"));
        m_reset_right->setMinimumSize(QSize(50, 25));
        m_reset_right->setMaximumSize(QSize(50, 25));
        m_reset_right->setFont(font);

        gridLayout->addWidget(m_reset_right, 0, 1, 1, 1);

        m_reset_rear = new QPushButton(bsHQIsoViewerWindow3D);
        m_reset_rear->setObjectName(QString::fromUtf8("m_reset_rear"));
        m_reset_rear->setMinimumSize(QSize(40, 25));
        m_reset_rear->setMaximumSize(QSize(40, 25));
        m_reset_rear->setFont(font);

        gridLayout->addWidget(m_reset_rear, 1, 0, 1, 1);

        m_reset_button = new QPushButton(bsHQIsoViewerWindow3D);
        m_reset_button->setObjectName(QString::fromUtf8("m_reset_button"));
        m_reset_button->setIcon(qt_get_icon(image0_ID));

        gridLayout->addWidget(m_reset_button, 0, 0, 1, 1);

        m_reset_left = new QPushButton(bsHQIsoViewerWindow3D);
        m_reset_left->setObjectName(QString::fromUtf8("m_reset_left"));
        m_reset_left->setMinimumSize(QSize(50, 25));
        m_reset_left->setMaximumSize(QSize(50, 25));
        m_reset_left->setFont(font);

        gridLayout->addWidget(m_reset_left, 1, 1, 1, 1);


        hboxLayout->addLayout(gridLayout);

        m_rebuild_button = new QPushButton(bsHQIsoViewerWindow3D);
        m_rebuild_button->setObjectName(QString::fromUtf8("m_rebuild_button"));

        hboxLayout->addWidget(m_rebuild_button);

        m_enable_subregions = new QCheckBox(bsHQIsoViewerWindow3D);
        m_enable_subregions->setObjectName(QString::fromUtf8("m_enable_subregions"));
        QFont font1;
        font1.setPointSize(8);
        m_enable_subregions->setFont(font1);

        hboxLayout->addWidget(m_enable_subregions);

        m_enable_neurons = new QCheckBox(bsHQIsoViewerWindow3D);
        m_enable_neurons->setObjectName(QString::fromUtf8("m_enable_neurons"));
        m_enable_neurons->setFont(font1);

        hboxLayout->addWidget(m_enable_neurons);

        m_enable_cutting_planes = new QCheckBox(bsHQIsoViewerWindow3D);
        m_enable_cutting_planes->setObjectName(QString::fromUtf8("m_enable_cutting_planes"));
        m_enable_cutting_planes->setFont(font1);

        hboxLayout->addWidget(m_enable_cutting_planes);

        m_enable_cutting_caps = new QCheckBox(bsHQIsoViewerWindow3D);
        m_enable_cutting_caps->setObjectName(QString::fromUtf8("m_enable_cutting_caps"));
        m_enable_cutting_caps->setFont(font1);

        hboxLayout->addWidget(m_enable_cutting_caps);

        m_enable_light_two_side = new QCheckBox(bsHQIsoViewerWindow3D);
        m_enable_light_two_side->setObjectName(QString::fromUtf8("m_enable_light_two_side"));
        m_enable_light_two_side->setFont(font1);

        hboxLayout->addWidget(m_enable_light_two_side);

        Spacer1 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout->addItem(Spacer1);

        gridLayout1 = new QGridLayout();
#ifndef Q_OS_MAC
        gridLayout1->setSpacing(6);
#endif
        gridLayout1->setMargin(0);
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(0);
#ifndef Q_OS_MAC
        hboxLayout1->setMargin(0);
#endif
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        TextLabel1_2_3_2 = new QLabel(bsHQIsoViewerWindow3D);
        TextLabel1_2_3_2->setObjectName(QString::fromUtf8("TextLabel1_2_3_2"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(TextLabel1_2_3_2->sizePolicy().hasHeightForWidth());
        TextLabel1_2_3_2->setSizePolicy(sizePolicy);
        TextLabel1_2_3_2->setMinimumSize(QSize(30, 0));
        QFont font2;
        font2.setFamily(QString::fromUtf8("helvetica"));
        font2.setPointSize(8);
        TextLabel1_2_3_2->setFont(font2);
        TextLabel1_2_3_2->setWordWrap(false);

        hboxLayout1->addWidget(TextLabel1_2_3_2);

        m_extinction_zeta = new QSpinBox(bsHQIsoViewerWindow3D);
        m_extinction_zeta->setObjectName(QString::fromUtf8("m_extinction_zeta"));
        sizePolicy.setHeightForWidth(m_extinction_zeta->sizePolicy().hasHeightForWidth());
        m_extinction_zeta->setSizePolicy(sizePolicy);
        m_extinction_zeta->setMinimumSize(QSize(80, 0));
        m_extinction_zeta->setMaximum(100);
        m_extinction_zeta->setMinimum(1);
        m_extinction_zeta->setValue(1);

        hboxLayout1->addWidget(m_extinction_zeta);


        gridLayout1->addLayout(hboxLayout1, 0, 0, 1, 1);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setSpacing(0);
        hboxLayout2->setMargin(0);
        hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
        TextLabel1_2_2_2 = new QLabel(bsHQIsoViewerWindow3D);
        TextLabel1_2_2_2->setObjectName(QString::fromUtf8("TextLabel1_2_2_2"));
        sizePolicy.setHeightForWidth(TextLabel1_2_2_2->sizePolicy().hasHeightForWidth());
        TextLabel1_2_2_2->setSizePolicy(sizePolicy);
        TextLabel1_2_2_2->setMinimumSize(QSize(30, 0));
        TextLabel1_2_2_2->setFont(font2);
        TextLabel1_2_2_2->setWordWrap(false);

        hboxLayout2->addWidget(TextLabel1_2_2_2);

        m_extinction_zeta_threshold_end = new QSpinBox(bsHQIsoViewerWindow3D);
        m_extinction_zeta_threshold_end->setObjectName(QString::fromUtf8("m_extinction_zeta_threshold_end"));
        sizePolicy.setHeightForWidth(m_extinction_zeta_threshold_end->sizePolicy().hasHeightForWidth());
        m_extinction_zeta_threshold_end->setSizePolicy(sizePolicy);
        m_extinction_zeta_threshold_end->setMinimumSize(QSize(80, 0));
        m_extinction_zeta_threshold_end->setMaximum(10000);
        m_extinction_zeta_threshold_end->setMinimum(1);
        m_extinction_zeta_threshold_end->setValue(2000);

        hboxLayout2->addWidget(m_extinction_zeta_threshold_end);


        gridLayout1->addLayout(hboxLayout2, 1, 1, 1, 1);

        hboxLayout3 = new QHBoxLayout();
        hboxLayout3->setSpacing(0);
        hboxLayout3->setMargin(0);
        hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
        TextLabel1_2_3 = new QLabel(bsHQIsoViewerWindow3D);
        TextLabel1_2_3->setObjectName(QString::fromUtf8("TextLabel1_2_3"));
        sizePolicy.setHeightForWidth(TextLabel1_2_3->sizePolicy().hasHeightForWidth());
        TextLabel1_2_3->setSizePolicy(sizePolicy);
        TextLabel1_2_3->setMinimumSize(QSize(30, 0));
        TextLabel1_2_3->setFont(font2);
        TextLabel1_2_3->setWordWrap(false);

        hboxLayout3->addWidget(TextLabel1_2_3);

        m_extinction_zeta_threshold_start = new QSpinBox(bsHQIsoViewerWindow3D);
        m_extinction_zeta_threshold_start->setObjectName(QString::fromUtf8("m_extinction_zeta_threshold_start"));
        sizePolicy.setHeightForWidth(m_extinction_zeta_threshold_start->sizePolicy().hasHeightForWidth());
        m_extinction_zeta_threshold_start->setSizePolicy(sizePolicy);
        m_extinction_zeta_threshold_start->setMinimumSize(QSize(80, 0));
        m_extinction_zeta_threshold_start->setMaximum(10000);

        hboxLayout3->addWidget(m_extinction_zeta_threshold_start);


        gridLayout1->addLayout(hboxLayout3, 1, 0, 1, 1);


        hboxLayout->addLayout(gridLayout1);

        m_tool_frame = new Q3Frame(bsHQIsoViewerWindow3D);
        m_tool_frame->setObjectName(QString::fromUtf8("m_tool_frame"));
        QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(1));
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(m_tool_frame->sizePolicy().hasHeightForWidth());
        m_tool_frame->setSizePolicy(sizePolicy1);
        m_tool_frame->setMinimumSize(QSize(40, 40));
        m_tool_frame->setMaximumSize(QSize(32767, 40));
        m_tool_frame->setFrameShape(QFrame::StyledPanel);
        m_tool_frame->setFrameShadow(QFrame::Raised);

        hboxLayout->addWidget(m_tool_frame);


        vboxLayout->addLayout(hboxLayout);

        bsViewerFrame = new Q3Frame(bsHQIsoViewerWindow3D);
        bsViewerFrame->setObjectName(QString::fromUtf8("bsViewerFrame"));
        QPalette palette;
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(3), QColor(200, 200, 200));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(3), QColor(184, 184, 184));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(0), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(3), QColor(184, 184, 184));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(8), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        bsViewerFrame->setPalette(palette);
        bsViewerFrame->setFrameShape(QFrame::StyledPanel);
        bsViewerFrame->setFrameShadow(QFrame::Raised);
        vboxLayout1 = new QVBoxLayout(bsViewerFrame);
#ifndef Q_OS_MAC
        vboxLayout1->setSpacing(6);
#endif
        vboxLayout1->setMargin(11);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        m_viewer = new bsHQIsoBrainViewer(bsViewerFrame);
        m_viewer->setObjectName(QString::fromUtf8("m_viewer"));

        vboxLayout1->addWidget(m_viewer);


        vboxLayout->addWidget(bsViewerFrame);


        retranslateUi(bsHQIsoViewerWindow3D);
        QObject::connect(m_reset_button, SIGNAL(clicked()), m_viewer, SLOT(reset()));
        QObject::connect(m_rebuild_button, SIGNAL(clicked()), m_viewer, SLOT(rebuild()));
        QObject::connect(m_enable_subregions, SIGNAL(toggled(bool)), m_viewer, SLOT(setEnableSubRegions(bool)));
        QObject::connect(m_enable_neurons, SIGNAL(toggled(bool)), m_viewer, SLOT(setEnableNeuronTypes(bool)));
        QObject::connect(m_enable_cutting_planes, SIGNAL(toggled(bool)), m_viewer, SLOT(setCuttingPlanesFlag(bool)));
        QObject::connect(m_enable_cutting_caps, SIGNAL(toggled(bool)), m_viewer, SLOT(setCuttingCapsFlag(bool)));
        QObject::connect(m_enable_light_two_side, SIGNAL(toggled(bool)), m_viewer, SLOT(setLightTwoSide(bool)));
        QObject::connect(m_extinction_zeta_threshold_start, SIGNAL(valueChanged(int)), m_viewer, SLOT(handleExtinctionZetaThresholdChangeStart(int)));
        QObject::connect(m_extinction_zeta_threshold_end, SIGNAL(valueChanged(int)), m_viewer, SLOT(handleExtinctionZetaThresholdChangeEnd(int)));
        QObject::connect(m_extinction_zeta, SIGNAL(valueChanged(int)), m_viewer, SLOT(handleExtinctionZetaChange(int)));
        QObject::connect(m_reset_rear, SIGNAL(clicked()), m_viewer, SLOT(reset_rear()));
        QObject::connect(m_reset_right, SIGNAL(clicked()), m_viewer, SLOT(reset_top()));
        QObject::connect(m_reset_right, SIGNAL(clicked()), m_viewer, SLOT(reset_right()));
        QObject::connect(m_reset_left, SIGNAL(clicked()), m_viewer, SLOT(reset_left()));
        QObject::connect(m_reset_top, SIGNAL(clicked()), m_viewer, SLOT(reset_top()));
        QObject::connect(m_reset_bottom, SIGNAL(clicked()), m_viewer, SLOT(reset_bottom()));

        QMetaObject::connectSlotsByName(bsHQIsoViewerWindow3D);
    } // setupUi

    void retranslateUi(QWidget *bsHQIsoViewerWindow3D)
    {
        bsHQIsoViewerWindow3D->setWindowTitle(QApplication::translate("bsHQIsoViewerWindow3D", "bsHQIsoViewerWindow3D", 0, QApplication::UnicodeUTF8));
        m_reset_top->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Top", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_reset_top->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Reset", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_reset_bottom->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Bottom", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_reset_bottom->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Reset", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_reset_right->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Right", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_reset_right->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Reset", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_reset_rear->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Rear", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_reset_rear->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Reset", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_reset_button->setText(QString());
#ifndef QT_NO_TOOLTIP
        m_reset_button->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Reset", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_reset_left->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Left", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_reset_left->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Reset", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_rebuild_button->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Rebuild", 0, QApplication::UnicodeUTF8));
        m_enable_subregions->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Subregions", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_enable_subregions->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Display subregions", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_enable_neurons->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Neurons", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_enable_neurons->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Display neurons", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_enable_cutting_planes->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Cut", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_enable_cutting_planes->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Enable cutting planes", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_enable_cutting_caps->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Caps", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_enable_cutting_caps->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Display caps", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_enable_light_two_side->setText(QApplication::translate("bsHQIsoViewerWindow3D", "2 lights", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_enable_light_two_side->setToolTip(QApplication::translate("bsHQIsoViewerWindow3D", "Bi-directional lighting", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        TextLabel1_2_3_2->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Alpha", 0, QApplication::UnicodeUTF8));
        TextLabel1_2_2_2->setText(QApplication::translate("bsHQIsoViewerWindow3D", "End", 0, QApplication::UnicodeUTF8));
        TextLabel1_2_3->setText(QApplication::translate("bsHQIsoViewerWindow3D", "Start", 0, QApplication::UnicodeUTF8));
        Q_UNUSED(bsHQIsoViewerWindow3D);
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        image1_ID,
        unknown_ID
    };
    static QPixmap qt_get_icon(IconID id)
    {
    static const char* const image0_data[] = { 
"22 22 3 1",
". c None",
"# c #000000",
"a c #ffff00",
"......................",
"......................",
"......................",
"......##..#...........",
"......##.###..........",
"......####a##.........",
"......###aaa##........",
"......##aaaaa##.......",
".....##aaaaaaa##......",
"....##aa###aaaa##.....",
"...###aa#.#aaaa###....",
"..##.#aa###aaaaa###...",
"..#..#aaaaaaaaaa#.##..",
".....#aaaaaaaaaa#..#..",
".....#aaaaaaaaaa#.....",
".....#aaaa###aaa#.....",
".....#aaaa#.#aaa#.....",
".....#aaaa#.#aaa#.....",
".....#aaaa#.#aaa#.....",
".....############.....",
"......................",
"......................"};


    static const char* const image1_data[] = { 
"22 22 2 1",
". c None",
"# c #a4c610",
"........######........",
".....###########......",
"....##############....",
"...################...",
"..######......######..",
"..#####........#####..",
".#####.......#..#####.",
".####.......###..####.",
"####.......#####..####",
"####......#####...####",
"####....#######...####",
"####....######....####",
"####...########...####",
".####.##########..####",
".####..####.#########.",
".#####..##...########.",
"..#####.......#######.",
"..######......######..",
"...###################",
"....##################",
"......###########.###.",
"........######.....#.."};


    switch (id) {
        case image0_ID: return QPixmap((const char**)image0_data);
        case image1_ID: return QPixmap((const char**)image1_data);
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class bsHQIsoViewerWindow3D: public Ui_bsHQIsoViewerWindow3D {};
} // namespace Ui

QT_END_NAMESPACE

class bsHQIsoViewerWindow3D : public QWidget, public Ui::bsHQIsoViewerWindow3D
{
    Q_OBJECT

public:
    bsHQIsoViewerWindow3D(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~bsHQIsoViewerWindow3D();

protected slots:
    virtual void languageChange();

};

#endif // BSHQISOVIEWERWINDOW3D_H
