//+++HDR+++
//======================================================================
//   This file is part of the BRAIN software framework.
//   Copyright (C) 2009 by CRS4, Pula, Italy.
//
//   For more information, visit the CRS4 Visual Computing Group
//   web pages at http://www.crs4.it/vic/
//
//   This file may be used under the terms of the GNU General Public
//   License as published by the Free Software Foundation and appearing
//   in the file LICENSE included in the packaging of this file.
//
//   CRS4 reserves all rights not expressly granted herein.
//  
//   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
//   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
//   FOR A PARTICULAR PURPOSE.
//
//======================================================================
//---HDR---//
#include "bsMeasureWidgetImpl.h"
#include <qstring.h>
#include <qlineedit.h>
/* 
 *  Constructs a bsMeasureWidgetImpl which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
bsMeasureWidgetImpl::bsMeasureWidgetImpl( QWidget* parent,  const char* name, Qt::WFlags fl )
    : bsMeasureWidget( parent, name, fl )
{
    resize( 250, 200 );
    m_start_point->setReadOnly(true);
    m_end_point->setReadOnly(true);
    m_distance->setReadOnly(true);
}

/*  
 *  Destroys the object and frees any allocated resources
 */
bsMeasureWidgetImpl::~bsMeasureWidgetImpl()
{
    // no need to delete child widgets, Qt does it all for us
}

void bsMeasureWidgetImpl::setStartPoint(QString& str){
    m_start_point->setText(str);
}
void bsMeasureWidgetImpl::setEndPoint(QString& str){
    m_end_point->setText(str);
}
void bsMeasureWidgetImpl::setDistance(QString& str){
    m_distance->setText(str);
}
