#ifndef BSVIEWERWINDOW2D_H
#define BSVIEWERWINDOW2D_H

#include <qvariant.h>


#include <Qt3Support/Q3Frame>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSlider>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "bsSectionViewer2D.h"

QT_BEGIN_NAMESPACE

class Ui_bsViewerWindow2D
{
public:
    QGridLayout *gridLayout;
    QGridLayout *gridLayout1;
    QHBoxLayout *hboxLayout;
  //QCheckBox *enable_mask;
  //QSpinBox *spin_th;
    QSlider *m_x_slider;
    QHBoxLayout *hboxLayout1;
    QSpinBox *m_zoom_slider;
    QCheckBox *m_grid;
    QPushButton *m_reset_button;
    QHBoxLayout *hboxLayout2;
    QSpinBox *currentSection;
    QSpinBox *upSection;
    QSpinBox *downSection;
    QGridLayout *gridLayout2;
  //QCheckBox *m_image_button;
    QCheckBox *m_cut_button;
    QCheckBox *m_ghost_button;
    QCheckBox *m_fill_button;
    QLabel *m_error_info;
    QLabel *m_quota_lb;
    QLabel *m_quota_label;
    Q3Frame *m_tool_frame;
    QSpacerItem *Spacer1_2;
    QHBoxLayout *hboxLayout3;
    Q3Frame *bsViewerFrame;
    QVBoxLayout *vboxLayout;
    bsSectionViewer2D *m_viewer;
    QVBoxLayout *vboxLayout1;
    QSlider *m_y_slider;
    QPushButton *m_option_button;

    void setupUi(QWidget *bsViewerWindow2D)
    {
        if (bsViewerWindow2D->objectName().isEmpty())
            bsViewerWindow2D->setObjectName(QString::fromUtf8("bsViewerWindow2D"));
        bsViewerWindow2D->resize(810, 611);
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(bsViewerWindow2D->sizePolicy().hasHeightForWidth());
        bsViewerWindow2D->setSizePolicy(sizePolicy);
        bsViewerWindow2D->setMinimumSize(QSize(0, 0));
        gridLayout = new QGridLayout(bsViewerWindow2D);
        gridLayout->setSpacing(6);
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        gridLayout1 = new QGridLayout();
        gridLayout1->setSpacing(6);
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        hboxLayout = new QHBoxLayout();
        hboxLayout->setSpacing(6);
        hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
        //enable_mask = new QCheckBox(bsViewerWindow2D);
        //enable_mask->setObjectName(QString::fromUtf8("enable_mask"));
        //enable_mask->setEnabled(false);

	// hboxLayout->addWidget(enable_mask);

        //spin_th = new QSpinBox(bsViewerWindow2D);
        //spin_th->setObjectName(QString::fromUtf8("spin_th"));
        //spin_th->setEnabled(false);
        //spin_th->setMaximum(255);
        //spin_th->setValue(210);

        //hboxLayout->addWidget(spin_th);

        m_x_slider = new QSlider(bsViewerWindow2D);
        m_x_slider->setObjectName(QString::fromUtf8("m_x_slider"));
        m_x_slider->setMinimum(-100);
        m_x_slider->setMaximum(100);
        m_x_slider->setOrientation(Qt::Horizontal);

        hboxLayout->addWidget(m_x_slider);

        hboxLayout1 = new QHBoxLayout();
        hboxLayout1->setSpacing(6);
        hboxLayout1->setMargin(0);
        hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
        m_zoom_slider = new QSpinBox(bsViewerWindow2D);
        m_zoom_slider->setObjectName(QString::fromUtf8("m_zoom_slider"));
        m_zoom_slider->setMaximum(500);
        m_zoom_slider->setMinimum(5);
        m_zoom_slider->setSingleStep(5);
        m_zoom_slider->setValue(100);

        hboxLayout1->addWidget(m_zoom_slider);

        m_grid = new QCheckBox(bsViewerWindow2D);
        m_grid->setObjectName(QString::fromUtf8("m_grid"));
        QFont font;
        font.setFamily(QString::fromUtf8("adobe-helvetica"));
        font.setPointSize(8);
        m_grid->setFont(font);

        hboxLayout1->addWidget(m_grid);

        m_reset_button = new QPushButton(bsViewerWindow2D);
        m_reset_button->setObjectName(QString::fromUtf8("m_reset_button"));
        m_reset_button->setIcon(qt_get_icon(image0_ID));

        hboxLayout1->addWidget(m_reset_button);


        hboxLayout->addLayout(hboxLayout1);


        gridLayout1->addLayout(hboxLayout, 2, 0, 1, 1);

        hboxLayout2 = new QHBoxLayout();
        hboxLayout2->setSpacing(6);
        hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
        currentSection = new QSpinBox(bsViewerWindow2D);
        currentSection->setObjectName(QString::fromUtf8("currentSection"));
        currentSection->setMaximum(200);

        hboxLayout2->addWidget(currentSection);

        upSection = new QSpinBox(bsViewerWindow2D);
        upSection->setObjectName(QString::fromUtf8("upSection"));
        upSection->setMaximum(2);

        hboxLayout2->addWidget(upSection);

        downSection = new QSpinBox(bsViewerWindow2D);
        downSection->setObjectName(QString::fromUtf8("downSection"));
        downSection->setMaximum(0);
        downSection->setMinimum(-2);

        hboxLayout2->addWidget(downSection);

        gridLayout2 = new QGridLayout();
        gridLayout2->setSpacing(6);
        gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
        //m_image_button = new QCheckBox(bsViewerWindow2D);
        //m_image_button->setObjectName(QString::fromUtf8("m_image_button"));

        //m_image_button->setFont(font1);

        //gridLayout2->addWidget(m_image_button, 1, 1, 1, 1);

        m_cut_button = new QCheckBox(bsViewerWindow2D);
        m_cut_button->setObjectName(QString::fromUtf8("m_cut_button"));

        gridLayout2->addWidget(m_cut_button, 1, 0, 1, 1);

        m_ghost_button = new QCheckBox(bsViewerWindow2D);
        m_ghost_button->setObjectName(QString::fromUtf8("m_ghost_button"));

        gridLayout2->addWidget(m_ghost_button, 0, 1, 1, 1);

        m_fill_button = new QCheckBox(bsViewerWindow2D);
        m_fill_button->setObjectName(QString::fromUtf8("m_fill_button"));

        gridLayout2->addWidget(m_fill_button, 0, 0, 1, 1);


        hboxLayout2->addLayout(gridLayout2);

        m_error_info = new QLabel(bsViewerWindow2D);
        m_error_info->setObjectName(QString::fromUtf8("m_error_info"));
        QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
        sizePolicy1.setHorizontalStretch(0);
        sizePolicy1.setVerticalStretch(0);
        sizePolicy1.setHeightForWidth(m_error_info->sizePolicy().hasHeightForWidth());
        m_error_info->setSizePolicy(sizePolicy1);
        m_error_info->setMinimumSize(QSize(50, 20));
        QPalette palette;
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(1), QColor(214, 214, 214));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(3), QColor(234, 234, 234));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(4), QColor(107, 107, 107));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(5), QColor(142, 142, 142));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(10), QColor(243, 243, 243));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 156));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(1), QColor(214, 214, 214));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(3), QColor(246, 246, 246));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(4), QColor(107, 107, 107));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(5), QColor(142, 142, 142));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(10), QColor(243, 243, 243));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 156));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(0), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(1), QColor(214, 214, 214));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(3), QColor(246, 246, 246));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(4), QColor(107, 107, 107));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(5), QColor(142, 142, 142));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(8), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(10), QColor(243, 243, 243));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 156));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        m_error_info->setPalette(palette);
        QFont font2;
        font2.setFamily(QString::fromUtf8("adobe-helvetica"));
        m_error_info->setFont(font2);
        m_error_info->setWordWrap(false);

        hboxLayout2->addWidget(m_error_info);

        m_quota_lb = new QLabel(bsViewerWindow2D);
        m_quota_lb->setObjectName(QString::fromUtf8("m_quota_lb"));
        m_quota_lb->setWordWrap(false);

        hboxLayout2->addWidget(m_quota_lb);

        m_quota_label = new QLabel(bsViewerWindow2D);
        m_quota_label->setObjectName(QString::fromUtf8("m_quota_label"));
        sizePolicy1.setHeightForWidth(m_quota_label->sizePolicy().hasHeightForWidth());
        m_quota_label->setSizePolicy(sizePolicy1);
        m_quota_label->setMinimumSize(QSize(50, 20));
        QPalette palette1;
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(1), QColor(214, 214, 214));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(3), QColor(234, 234, 234));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(4), QColor(107, 107, 107));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(5), QColor(142, 142, 142));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(10), QColor(243, 243, 243));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 156));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette1.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(1), QColor(214, 214, 214));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(3), QColor(246, 246, 246));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(4), QColor(107, 107, 107));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(5), QColor(142, 142, 142));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(10), QColor(243, 243, 243));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 156));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette1.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(0), QColor(128, 128, 128));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(1), QColor(214, 214, 214));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(2), QColor(255, 255, 255));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(3), QColor(246, 246, 246));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(4), QColor(107, 107, 107));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(5), QColor(142, 142, 142));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(8), QColor(128, 128, 128));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(9), QColor(255, 255, 255));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(10), QColor(243, 243, 243));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 156));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(13), QColor(255, 255, 255));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette1.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        m_quota_label->setPalette(palette1);
        m_quota_label->setWordWrap(false);

        hboxLayout2->addWidget(m_quota_label);

        m_tool_frame = new Q3Frame(bsViewerWindow2D);
        m_tool_frame->setObjectName(QString::fromUtf8("m_tool_frame"));
        QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(0));
        sizePolicy2.setHorizontalStretch(0);
        sizePolicy2.setVerticalStretch(0);
        sizePolicy2.setHeightForWidth(m_tool_frame->sizePolicy().hasHeightForWidth());
        m_tool_frame->setSizePolicy(sizePolicy2);
        m_tool_frame->setMinimumSize(QSize(60, 20));
        m_tool_frame->setFrameShape(QFrame::StyledPanel);
        m_tool_frame->setFrameShadow(QFrame::Raised);

        hboxLayout2->addWidget(m_tool_frame);

        Spacer1_2 = new QSpacerItem(60, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        hboxLayout2->addItem(Spacer1_2);


        gridLayout1->addLayout(hboxLayout2, 0, 0, 1, 1);

        hboxLayout3 = new QHBoxLayout();
        hboxLayout3->setSpacing(6);
        hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
        bsViewerFrame = new Q3Frame(bsViewerWindow2D);
        bsViewerFrame->setObjectName(QString::fromUtf8("bsViewerFrame"));
        QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
        sizePolicy3.setHorizontalStretch(0);
        sizePolicy3.setVerticalStretch(0);
        sizePolicy3.setHeightForWidth(bsViewerFrame->sizePolicy().hasHeightForWidth());
        bsViewerFrame->setSizePolicy(sizePolicy3);
        bsViewerFrame->setMinimumSize(QSize(600, 400));
        QPalette palette2;
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(3), QColor(200, 200, 200));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette2.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(3), QColor(184, 184, 184));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette2.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(0), QColor(128, 128, 128));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(3), QColor(184, 184, 184));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(8), QColor(128, 128, 128));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(14), QColor(0, 0, 0));
        palette2.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(15), QColor(0, 0, 0));
        bsViewerFrame->setPalette(palette2);
        bsViewerFrame->setFrameShape(QFrame::StyledPanel);
        bsViewerFrame->setFrameShadow(QFrame::Raised);
        vboxLayout = new QVBoxLayout(bsViewerFrame);
        vboxLayout->setSpacing(6);
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        m_viewer = new bsSectionViewer2D(bsViewerFrame);
        m_viewer->setObjectName(QString::fromUtf8("m_viewer"));

        vboxLayout->addWidget(m_viewer);


        hboxLayout3->addWidget(bsViewerFrame);

        vboxLayout1 = new QVBoxLayout();
        vboxLayout1->setSpacing(6);
        vboxLayout1->setMargin(0);
        vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
        m_y_slider = new QSlider(bsViewerWindow2D);
        m_y_slider->setObjectName(QString::fromUtf8("m_y_slider"));
        m_y_slider->setMinimum(-100);
        m_y_slider->setMaximum(100);
        m_y_slider->setOrientation(Qt::Vertical);

        vboxLayout1->addWidget(m_y_slider);

        m_option_button = new QPushButton(bsViewerWindow2D);
        m_option_button->setObjectName(QString::fromUtf8("m_option_button"));
        sizePolicy1.setHeightForWidth(m_option_button->sizePolicy().hasHeightForWidth());
        m_option_button->setSizePolicy(sizePolicy1);
        m_option_button->setMinimumSize(QSize(34, 34));
        m_option_button->setMaximumSize(QSize(34, 34));
        m_option_button->setFont(font);

        vboxLayout1->addWidget(m_option_button);


        hboxLayout3->addLayout(vboxLayout1);


        gridLayout1->addLayout(hboxLayout3, 1, 0, 1, 1);


        gridLayout->addLayout(gridLayout1, 0, 0, 1, 1);


        retranslateUi(bsViewerWindow2D);
        QObject::connect(m_x_slider, SIGNAL(valueChanged(int)), m_viewer, SLOT(setXTranslation(int)));
        QObject::connect(m_y_slider, SIGNAL(valueChanged(int)), m_viewer, SLOT(setYTranslation(int)));
        QObject::connect(m_zoom_slider, SIGNAL(valueChanged(int)), m_viewer, SLOT(setZoomFactor(int)));
        QObject::connect(m_reset_button, SIGNAL(clicked()), m_viewer, SLOT(reset()));
        QObject::connect(currentSection, SIGNAL(valueChanged(int)), m_viewer, SLOT(setCurrentSection(int)));
        QObject::connect(m_viewer, SIGNAL(xTranslationChanged(int)), m_x_slider, SLOT(setValue(int)));
        QObject::connect(m_viewer, SIGNAL(yTranslationChanged(int)), m_y_slider, SLOT(setValue(int)));
        QObject::connect(m_viewer, SIGNAL(zoomFactorChanged(int)), m_zoom_slider, SLOT(setValue(int)));
        QObject::connect(m_viewer, SIGNAL(currentSectionChanged(int)), currentSection, SLOT(setValue(int)));
        QObject::connect(upSection, SIGNAL(valueChanged(int)), m_viewer, SLOT(setUpCountSection(int)));
        QObject::connect(downSection, SIGNAL(valueChanged(int)), m_viewer, SLOT(setDownCountSection(int)));
        QObject::connect(m_viewer, SIGNAL(enableUpCounter(bool)), upSection, SLOT(setEnabled(bool)));
        QObject::connect(m_viewer, SIGNAL(upCountSectionChanged(int)), upSection, SLOT(setValue(int)));
        QObject::connect(m_viewer, SIGNAL(downCountSectionChanged(int)), downSection, SLOT(setValue(int)));
        QObject::connect(m_viewer, SIGNAL(enableDownCounter(bool)), downSection, SLOT(setEnabled(bool)));
        QObject::connect(m_fill_button, SIGNAL(toggled(bool)), m_viewer, SLOT(fillSection(bool)));
        QObject::connect(m_cut_button, SIGNAL(toggled(bool)), m_viewer, SLOT(setCuttingPlanes(bool)));
        QObject::connect(m_grid, SIGNAL(toggled(bool)), m_viewer, SLOT(setGrid(bool)));
        //QObject::connect(m_image_button, SIGNAL(toggled(bool)), m_viewer, SLOT(enableImageDrawing(bool)));
	//        QObject::connect(enable_mask, SIGNAL(toggled(bool)), m_viewer, SLOT(enableMask(bool)));
        //QObject::connect(m_image_button, SIGNAL(toggled(bool)), enable_mask, SLOT(setEnabled(bool)));
	//        QObject::connect(spin_th, SIGNAL(valueChanged(int)), m_viewer, SLOT(setThreshold(int)));
        //QObject::connect(m_image_button, SIGNAL(toggled(bool)), spin_th, SLOT(setEnabled(bool)));

        QMetaObject::connectSlotsByName(bsViewerWindow2D);
    } // setupUi

    void retranslateUi(QWidget *bsViewerWindow2D)
    {
        bsViewerWindow2D->setWindowTitle(QApplication::translate("bsViewerWindow2D", "bsViewerWindow2D", 0, QApplication::UnicodeUTF8));
	//        enable_mask->setText(QApplication::translate("bsViewerWindow2D", "mask", 0, QApplication::UnicodeUTF8));
        m_zoom_slider->setSuffix(QApplication::translate("bsViewerWindow2D", "%", 0, QApplication::UnicodeUTF8));
        m_zoom_slider->setSpecialValueText(QString());
#ifndef QT_NO_TOOLTIP
        m_zoom_slider->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Zoom factor", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        m_grid->setText(QApplication::translate("bsViewerWindow2D", "Grid", 0, QApplication::UnicodeUTF8));
        m_reset_button->setText(QString());
#ifndef QT_NO_TOOLTIP
        m_reset_button->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Reset", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        currentSection->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Current section", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        upSection->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Up counter", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
#ifndef QT_NO_TOOLTIP
        downSection->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Down counter", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        //m_image_button->setText(QApplication::translate("bsViewerWindow2D", "Img", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        //m_image_button->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Show bkg image", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        m_cut_button->setText(QApplication::translate("bsViewerWindow2D", "Cut", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_cut_button->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Cutting planes projection", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        m_ghost_button->setText(QApplication::translate("bsViewerWindow2D", "Ghost", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_ghost_button->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Enable ghost section", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        m_fill_button->setText(QApplication::translate("bsViewerWindow2D", "Fill", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_fill_button->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Fill section", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        m_error_info->setText(QString());
#ifndef QT_NO_TOOLTIP
        m_error_info->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Auto-Intersection", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        m_quota_lb->setText(QApplication::translate("bsViewerWindow2D", "Quota:", 0, QApplication::UnicodeUTF8));
        m_quota_label->setText(QString());
#ifndef QT_NO_TOOLTIP
        m_quota_label->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Quota level", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        m_option_button->setText(QApplication::translate("bsViewerWindow2D", "Opt.", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_option_button->setProperty("toolTip", QVariant(QApplication::translate("bsViewerWindow2D", "Reset", 0, QApplication::UnicodeUTF8)));
#endif // QT_NO_TOOLTIP
        Q_UNUSED(bsViewerWindow2D);
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        image1_ID,
        unknown_ID
    };
    static QPixmap qt_get_icon(IconID id)
    {
    static const char* const image0_data[] = { 
"22 22 3 1",
". c None",
"# c #000000",
"a c #ffff00",
"......................",
"......................",
"......................",
"......##..#...........",
"......##.###..........",
"......####a##.........",
"......###aaa##........",
"......##aaaaa##.......",
".....##aaaaaaa##......",
"....##aa###aaaa##.....",
"...###aa#.#aaaa###....",
"..##.#aa###aaaaa###...",
"..#..#aaaaaaaaaa#.##..",
".....#aaaaaaaaaa#..#..",
".....#aaaaaaaaaa#.....",
".....#aaaa###aaa#.....",
".....#aaaa#.#aaa#.....",
".....#aaaa#.#aaa#.....",
".....#aaaa#.#aaa#.....",
".....############.....",
"......................",
"......................"};


    static const char* const image1_data[] = { 
"22 22 2 1",
". c None",
"# c #a4c610",
"........######........",
".....###########......",
"....##############....",
"...################...",
"..######......######..",
"..#####........#####..",
".#####.......#..#####.",
".####.......###..####.",
"####.......#####..####",
"####......#####...####",
"####....#######...####",
"####....######....####",
"####...########...####",
".####.##########..####",
".####..####.#########.",
".#####..##...########.",
"..#####.......#######.",
"..######......######..",
"...###################",
"....##################",
"......###########.###.",
"........######.....#.."};


    switch (id) {
        case image0_ID: return QPixmap((const char**)image0_data);
        case image1_ID: return QPixmap((const char**)image1_data);
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class bsViewerWindow2D: public Ui_bsViewerWindow2D {};
} // namespace Ui

QT_END_NAMESPACE

class bsViewerWindow2D : public QWidget, public Ui::bsViewerWindow2D
{
    Q_OBJECT

public:
    bsViewerWindow2D(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~bsViewerWindow2D();

protected slots:
    virtual void languageChange();

};

#endif // BSVIEWERWINDOW2D_H
