#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_gdal {
  win32 {
    GDAL_DIR = $(GDAL_DIR)
    !exists($$GDAL_DIR/gcore/gdal_priv.h) {
       error("Cannot find GDAL_DIR/gcore/gdal_priv.h -- please set GDAL_DIR env var")
    }
    GDAL_LIB_DIR=$(GDAL_LIB_DIR)
    !exists($$GDAL_LIB_DIR/gdal.lib) {
       GDAL_LIB_DIR=$$GDAL_DIR
       !exists($$GDAL_LIB_DIR/gdal.lib) {
         error("Cannot find GDAL_LIB_DIR/gdal.lib -- please set GDAL_LIB_DIR env var")
       }
     }

    INCLUDEPATH += $$GDAL_DIR/gcore $$GDAL_DIR/port $$GDAL_DIR/ogr
    LIBS += $$GDAL_LIB_DIR/gdal.lib
  }

  unix {
    GDAL_CONFIG=$$system(which gdal-config)
    !isEmpty(GDAL_CONFIG) {
      INCLUDEPATH += $$system($$GDAL_CONFIG --cflags | cut -b3-)
      LIBS += $$system($$GDAL_CONFIG --libs)
    } else {
      GDAL_DIR=$(GDAL_DIR)
      !exists($$GDAL_DIR/include/gdal_priv.h) {
        GDAL_DIR=/usr/
        !exists($$GDAL_DIR/include/gdal_priv.h) {
          GDAL_DIR=/usr/local/
          !exists($$GDAL_DIR/include/gdal_priv.h) {
             GDAL_DIR=/u/vvr/packages/
             !exists($$GDAL_DIR/include/gdal_priv.h) {
               error("Cannot find GDAL_DIR/include/gdal_priv.h -- please set GDAL_DIR env var")
             }
          }
        }
      }

      GDAL_LIB_DIR=$(GDAL_LIB_DIR)
      !exists($$GDAL_LIB_DIR/libgdal.*) {
        GDAL_LIB_DIR=$$GDAL_DIR/lib64
        !exists($$GDAL_LIB_DIR/libgdal.*) {
          GDAL_LIB_DIR=$$GDAL_DIR/lib
          !exists($$GDAL_LIB_DIR/libgdal.*) {
            error("Cannot find GDAL_LIB_DIR/libgdal.* -- please set GDAL_LIB_DIR env var")
          }
        }
      }
      INCLUDEPATH += $$GDAL_DIR/include/
      LIBS += -L$$GDAL_LIB_DIR -lgdal
    }
  }

  message("Configured for gdal")
}
