#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#

xvic_ogre {

win32 {
   OGRE_DIR = $(OGRE_DIR)
   !exists($$OGRE_DIR/OgreMain/include/Ogre.h) {
     error("Cannot find OGRE_DIR/OgreMain/include/Ogre.h -- please set OGRE_DIR env var")
   }

   OGRE_LIB_DIR=$(OGRE_LIB_DIR)
   !exists($$OGRE_LIB_DIR/OgreMain.*) {
     error("Cannot find OGRE_LIB_DIR/OgreMain.* -- please set OGRE_LIB_DIR env var")
   } 

   LIBS        *= -L$$OGRE_LIB_DIR OgreMain.lib 
   DEFINES     *= EXT_HASH
   INCLUDEPATH += $$OGRE_DIR/OgreMain/include

   OIS_DIR = $$OGRE_DIR/Dependencies
   !exists($$OIS_DIR/include/ois/OIS.h) {
       error("Cannot find OIS_DIR/include/ois/OIS.h")
   }

   OIS_LIB_DIR=$$OIS_DIR/lib/Release
   !exists($$OIS_LIB_DIR/OIS.*) {
     error("Cannot find OIS_LIB_DIR/OIS.*")
   }

   LIBS        *= -L$$OIS_LIB_DIR OIS.lib 
   INCLUDEPATH += $$OIS_DIR/include
}


unix {
    OGRE_SDK_DIR=$(OGRE_SDK_DIR)
    !exists($$OGRE_SDK_DIR/include/OGRE/Ogre.h) {
       OGRE_SDK_DIR=/usr/
       !exists($$OGRE_SDK_DIR/include/OGRE/Ogre.h) {
         OGRE_SDK_DIR=/usr/local/
         !exists($$OGRE_SDK_DIR/include/OGRE/Ogre.h) {
            error("Cannot find OGRE_SDK_DIR/include/OGRE/Ogre.h -- please set OGRE_SDK_DIR env var")
        }
      }
    }
    
    OGRE_SDK_LIB_DIR=$(OGRE_SDK_LIB_DIR)
    !exists($$OGRE_SDK_LIB_DIR/libOgreMain.*) {
      OGRE_SDK_LIB_DIR=$$OGRE_SDK_DIR/lib64
      !exists($$OGRE_SDK_LIB_DIR/libOgreMain.*) {
        OGRE_SDK_LIB_DIR=$$OGRE_SDK_DIR/lib
        !exists($$OGRE_SDK_LIB_DIR/libOgreMain.*) {
           error("Cannot find OGRE_SDK_LIB_DIR/libOgreMain.* -- please set OGRE_SDK_LIB_DIR env var")
        }
      }
    }

    LIBS        += -L$$OGRE_SDK_LIB_DIR -lOgreMain
    DEFINES     *= EXT_HASH 
    INCLUDEPATH += $$OGRE_SDK_DIR/include/OGRE

    OIS_DIR=$(OIS_DIR)
    !exists($$OIS_DIR/include/OIS/OIS.h) {
       OIS_DIR=/usr/
       !exists($$OIS_DIR/include/OIS/OIS.h) {
         OIS_DIR=/usr/local/
         !exists($$OIS_DIR/include/OIS/OIS.h) {
            error("Cannot find OIS_DIR/include/OIS/OIS.h -- please set OIS_DIR env var")
        }
      }
    }
    
    OIS_LIB_DIR=$(OIS_LIB_DIR)
    !exists($$OIS_LIB_DIR/libOIS.*) {
      OIS_LIB_DIR=$$OIS_DIR/lib64
      !exists($$OIS_LIB_DIR/libOIS.*) {
        OIS_LIB_DIR=$$OIS_DIR/lib
        !exists($$OIS_LIB_DIR/libOIS.*) {
           error("Cannot find OIS_LIB_DIR/libOIS.* -- please set OIS_LIB_DIR env var")
        }
      }
    }

    LIBS        += -L$$OIS_LIB_DIR -lOIS
    INCLUDEPATH += $$OIS_DIR/include/OIS
  } 

 message ("Using xvic_ogre module")
 message ("Using xvic_ogre OIS  module")
}
